Name: x11-driver-video-xgi
Version: 1.6.1
Release: %mkrel 2.1
Summary: X.org driver for XGI Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgi-%{version}.tar.xz
Patch1:	0001-Add-missing-includes-to-avoid-implicit-function-decl.patch
Patch2:	0002-Fix-invalid-mode-passed-to-open.patch
Patch3: 0003-Fixed-Module-xgi-does-not-have-a-xgiModuleData.patch
Patch4: 0004-Add-check-for-libpciaccess-on-ARM.patch
Patch5: 0005-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: x11-server-devel		>= 1.4
BuildRequires: libmesagl-devel		>= 7.0.2
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-xgi is the X.org driver for Generic XGI Cards.

%prep
%setup -q -n xf86-video-xgi-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/xgi_drv.la
%{_libdir}/xorg/modules/drivers/xgi_drv.so
%{_mandir}/man4/xgi.*


%changelog
* Sun Mar 26 2017 bb2 <bb2> - 1.6.1-2.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 1.6.1-2pclos2016
- rebuild new xorg

* Sat Nov 14 2015 bb <bb> 1.6.1-1pclos2015
- update
